Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.trolltech.qt
Class QSignalEmitter.Signal6

    java.lang.Object
      com.trolltech.qt.internal.QSignalEmitterInternal.AbstractSignalInternal
          com.trolltech.qt.QSignalEmitter.AbstractSignal
              com.trolltech.qt.QSignalEmitter.Signal6

Enclosing class:
  QSignalEmitter

    public final class QSignalEmitter.Signal6

extends QSignalEmitter.AbstractSignal

Declare and instantiate a field of this class in your QSignalEmitter subclass to declare a signal that takes six parameters.

Nested Class Summary

Nested classes/interfaces inherited from class com.trolltech.qt.internal.QSignalEmitterInternal.AbstractSignalInternal
`com.trolltech.qt.internal.QSignalEmitterInternal.AbstractSignalInternal.Connection`

Constructor Summary
`QSignalEmitter.Signal6()`

Method Summary
`void` | `emit(java.lang.Object arg1, java.lang.Object arg2, java.lang.Object arg3, java.lang.Object arg4, java.lang.Object arg5, java.lang.Object arg6)` Emits the signal.

Methods inherited from class com.trolltech.qt.QSignalEmitter.AbstractSignal
`connect, connect, connect, connect, disconnect, disconnect, disconnect, disconnect`

Methods inherited from class com.trolltech.qt.internal.QSignalEmitterInternal.AbstractSignalInternal
`connectSignalMethod, containingObject, declaringClassName, emit_helper, fullName, name, removeConnection`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### QSignalEmitter.Signal6

    public QSignalEmitter.Signal6()

Method Detail

### emit

    public void emit(java.lang.Object arg1,
                     java.lang.Object arg2,
                     java.lang.Object arg3,
                     java.lang.Object arg4,
                     java.lang.Object arg5,
                     java.lang.Object arg6)

  Emits the signal.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD